<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 4.8: Block Structure</title>
<link href="sx7g.html" rev=precedes>
<link href="sx7i.html" rel=precedes>
<link href="sx7.html" rev=subdocument>
</head>
<body>
<H2>section 4.8: Block Structure</H2>

pages 84-85
<p>You've probably heard that global variables are ``bad''
because they exist everywhere
and it can be hard to keep track of who's using them.
In the same way,
it can be useful to limit the scope of a local variable
to just the bit of the function that uses it,
which is exactly what happens
if we declare a variable in an inner block.
<br><br></p><hr>
<p>
Read sequentially:
<a href="sx7g.html" rev=precedes>prev</a>
<a href="sx7i.html" rel=precedes>next</a>
<a href="sx7.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
